diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/e32tools/elf2e32/source/pl_elfproducer.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/e32tools/elf2e32/source/pl_elfproducer.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/e32tools/elf2e32/source/pl_elfproducer.cpp	2010-05-18 19:32:30.897348961 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/e32tools/elf2e32/source/pl_elfproducer.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -22,6 +22,7 @@
 #include <stdio.h>
 #include <string>
 #include "errorhandler.h"
+#include <cstring>
 
 /**
  * Following array is indexed on the SECTION_INDEX enum 
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/e32tools/elf2e32/source/pl_symbol.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/e32tools/elf2e32/source/pl_symbol.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/e32tools/elf2e32/source/pl_symbol.cpp	2010-05-18 19:32:30.897348961 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/e32tools/elf2e32/source/pl_symbol.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -18,6 +18,7 @@
 //
 
 #include "pl_symbol.h"
+#include <cstring>
 
 
 /**
Only in /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/buildrom/tools: cdf.dtd.bak
Only in /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/buildrom/tools: featuredatabase.dtd.bak
Only in /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/buildrom/tools: featureuids.dtd.bak
Only in /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/buildrom/tools: imageContent.dtd.bak
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/group/bld.inf /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/group/bld.inf
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/group/bld.inf	2010-05-18 19:32:30.933348649 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/group/bld.inf	2010-05-15 14:32:45.000000000 +0100
@@ -21,8 +21,10 @@
 
 // These libraries needs to be exported
 PRJ_EXPORTS
+#ifndef TOOLS2_LINUX
 ../libxml/lib/libxml2.a			/epoc32/release/tools2/rel/libxml2.a
 ../libxml/lib/libxml2.a			/epoc32/release/tools2/deb/libxml2.a
+#endif
 ../src/imgcheck.xsl			/epoc32/tools/imgcheck.xsl
 ./imgcheck.pl				/epoc32/tools/imgcheck.pl
 ./imgcheck.cmd				/epoc32/tools/imgcheck.cmd
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/group/imgcheck.mmp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/group/imgcheck.mmp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/group/imgcheck.mmp	2010-05-18 19:32:30.937348738 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/group/imgcheck.mmp	2010-05-15 16:53:48.000000000 +0100
@@ -25,17 +25,24 @@
 SOURCE		exceptionimplementation.cpp exceptionreporter.cpp
 SOURCE 		cmdlinewriter.cpp xmlwriter.cpp dbgflagchecker.cpp
 USERINCLUDE ../libimgutils/inc ../inc ../../imglib/compress
+#ifndef TOOLS2_LINUX
 USERINCLUDE   ../../imglib/boostlibrary
+#endif
 
 OS_LAYER_SYSTEMINCLUDE_SYMBIAN
+#ifndef TOOLS2_LINUX
 SYSTEMINCLUDE ../libxml ../ 
+#endif 
 
 SYSTEMINCLUDE ../../imglib/inc ../../romtools/rofsbuild
 
-STATICLIBRARY imgutils xml2 wsock32 stlport.5.1 patchdataprocessor
 #ifdef TOOLS2_LINUX
-STATICLIBRARY   boost_thread-mgw34-mt-1_39_linux
-OPTION    GCC -pthread -O2 -Wno-uninitialized
+STATICLIBRARY imgutils patchdataprocessor
+#else
+STATICLIBRARY imgutils xml2 wsock32 patchdataprocessor
+#endif
+#ifdef TOOLS2_LINUX
+OPTION    GCC -pthread -O2 -Wno-uninitialized -isystem /usr/include/libxml2 -lxml2 -lboost_thread-mt
 #else
 STATICLIBRARY   boost_thread-mgw34-mt-1_39_win32
 OPTION    GCC -mthreads -O2 -Wno-uninitialized
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/inc/cmdlinehandler.h /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/inc/cmdlinehandler.h
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/inc/cmdlinehandler.h	2010-05-18 19:32:31.137348888 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/inc/cmdlinehandler.h	2010-05-15 14:32:45.000000000 +0100
@@ -120,7 +120,7 @@
 @internalComponent
 @released
 */
-typedef enum Suppress
+enum Suppress
 {
     EDep = 0x1,
     ESid = 0x2,
@@ -136,7 +136,7 @@
 @internalComponent
 @released
 */
-typedef enum NumberOfValue
+enum NumberOfValue
 {
     ENone = 0x0,
     ESingle = 0x1,
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/inc/common.h /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/inc/common.h
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/inc/common.h	2010-05-18 19:32:31.137348888 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/inc/common.h	2010-05-15 14:32:45.000000000 +0100
@@ -86,7 +86,7 @@
 @internalComponent
 @released
 */
-typedef enum ReturnType
+enum ReturnType
 {
 	ESuccess = 0,
 	EQuit,
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/inc/exceptionimplementation.h /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/inc/exceptionimplementation.h
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/inc/exceptionimplementation.h	2010-05-18 19:32:31.137348888 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/inc/exceptionimplementation.h	2010-05-15 14:32:45.000000000 +0100
@@ -91,7 +91,7 @@
 struct Messages
 {
 	int iIndex;
-	char* iMessage;
+	char const * iMessage;
 };
 
 /**
@@ -110,7 +110,7 @@
 	void Report(const String aMsg);
 	
 private:
-	ofstream iLogStream;
+	Ofstream iLogStream;
 	IndexVsMessageMap iMessage;
 	unsigned int iMsgIndex;
 	static unsigned int iCmdFlag;
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/inc/xmlwriter.h /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/inc/xmlwriter.h
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/inc/xmlwriter.h	2010-05-18 19:32:31.200886150 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/inc/xmlwriter.h	2010-05-15 14:32:45.000000000 +0100
@@ -24,7 +24,12 @@
 #define XMLWRITER_H
 
 #include "reportwriter.h"
-#include "libxml/xmlwriter.h"
+#if defined(__LINUX__)
+	#include <libxml/xmlwriter.h>
+#endif
+#if defined(WIN32)
+	#include "libxml/xmlwriter.h"
+#endif
 #include "common.h"
 
 /**
@@ -107,7 +112,7 @@
 
 private:
 	// File stream for xml output.
-	ofstream iXmlFile;
+	Ofstream iXmlFile;
 	// Xml file name for output.
 	const String iXmlFileName;
 	// Xml Buffer pointer.
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/libimgutils/inc/romfsentry.h /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/libimgutils/inc/romfsentry.h
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/libimgutils/inc/romfsentry.h	2010-05-18 19:32:31.208851687 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/libimgutils/inc/romfsentry.h	2010-05-15 14:32:45.000000000 +0100
@@ -32,7 +32,7 @@
 class RomImageFSEntry 
 {
 public:
-	RomImageFSEntry (char* aName) 
+	RomImageFSEntry (char const* aName) 
 	: iName(aName), iSibling(0), iChildren(0)
 	{
 	}
@@ -117,7 +117,7 @@
 class RomImageDirEntry : public RomImageFSEntry
 {
 public:
-	RomImageDirEntry(char* aName) : RomImageFSEntry(aName)
+	RomImageDirEntry(char const* aName) : RomImageFSEntry(aName)
 	{
 	}
 	~RomImageDirEntry(void)
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/libimgutils/inc/typedefs.h /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/libimgutils/inc/typedefs.h
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/libimgutils/inc/typedefs.h	2010-05-18 19:32:31.212851566 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/libimgutils/inc/typedefs.h	2010-05-15 14:32:45.000000000 +0100
@@ -28,8 +28,8 @@
 
 #undef _L
 
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include <list>
 #include <vector>
 #include <map>
@@ -53,10 +53,10 @@
 @internalComponent
 @released
 */
-typedef ios Ios;
+typedef std::ios Ios;
 typedef std::string String;
-typedef ofstream Ofstream;
-typedef ifstream Ifstream;
+typedef std::ofstream Ofstream;
+typedef std::ifstream Ifstream;
 typedef std::list<String> StringList;
 typedef std::map<unsigned int, String> UintVsString;
 typedef std::map<unsigned int, UintVsString> RomAddrVsExeName;
@@ -95,7 +95,7 @@
 @internalComponent
 @released
 */
-typedef enum EImageType
+enum EImageType
 {
 	EUnknownImage,
 	ERomImage,
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/libimgutils/src/dirreader.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/libimgutils/src/dirreader.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/libimgutils/src/dirreader.cpp	2010-05-18 19:32:31.212851566 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/libimgutils/src/dirreader.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -119,9 +119,9 @@
 void DirReader::ProcessImage()
 {
 	char* cwd = new char[MAXPATHLEN];
-	getcwd(cwd,MAXPATHLEN);
+	char *cp = getcwd(cwd,MAXPATHLEN); (void)cp;
 	ReadDir(iImgFileName);
-	chdir(cwd);
+	int i = chdir(cwd); (void)i;
 	if(cwd != NULL)
 		delete [] cwd;
 	cwd = 0;
@@ -139,8 +139,11 @@
 */
 void DirReader::ReadDir(String aPath)
 {
+#ifndef __LINUX__
 	int handle;
 	int retVal = 0; 
+#endif
+ 
 	E32Image* e32Image = KNull;
 
 #ifdef __LINUX__
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/libimgutils/src/e32reader.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/libimgutils/src/e32reader.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/libimgutils/src/e32reader.cpp	2010-05-18 19:32:31.212851566 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/libimgutils/src/e32reader.cpp	2010-05-15 16:45:25.000000000 +0100
@@ -24,6 +24,7 @@
 
 #include "e32reader.h"
 #include <f32image.h>
+#include <cstdlib>
 
 /** 
 Constructor.
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/src/cmdlinehandler.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/src/cmdlinehandler.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/src/cmdlinehandler.cpp	2010-05-18 19:32:31.252848475 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/src/cmdlinehandler.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -25,6 +25,7 @@
 */
 
 #include "cmdlinehandler.h"
+#include <cstring>
 
 /**
 Constructor initializes the iOptionMap with short and long option names as key and
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/src/cmdlinewriter.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/src/cmdlinewriter.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/src/cmdlinewriter.cpp	2010-05-18 19:32:31.252848475 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/src/cmdlinewriter.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -24,6 +24,7 @@
 */
 
 #include "cmdlinewriter.h"
+#include <cstring>
 
 /**
 Constructor: CmdLineWriter class
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/src/exceptionimplementation.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/src/exceptionimplementation.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/src/exceptionimplementation.cpp	2010-05-18 19:32:31.252848475 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/src/exceptionimplementation.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -187,7 +187,7 @@
     
 	if(iCmdFlag & KVerbose)
 	{
-		cout << aMsg.c_str() << endl;
+		std::cout << aMsg.c_str() << std::endl;
 	}
 }
 
@@ -207,10 +207,10 @@
 	iLogStream <<  aMsg.c_str() << "\n";
 	if(aMsg.find("Success") != String::npos)
 	{
-		cout << aMsg.c_str() << endl;
+		std::cout << aMsg.c_str() << std::endl;
 	}
 	else
 	{
-		cerr << aMsg.c_str() << endl;
+		std::cerr << aMsg.c_str() << std::endl;
 	}
 }
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/src/sidchecker.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/src/sidchecker.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/src/sidchecker.cpp	2010-05-18 19:32:31.256848494 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/src/sidchecker.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -249,8 +249,8 @@
 	{
 		exeAtt->iAttStatus = KNull;
 	}
-	if((iAllExecutables 
-		|| (exeAtt->iAttStatus == KDuplicate)) && !exeAtt->iAttStatus.empty() 
+	if(((iAllExecutables 
+		|| (exeAtt->iAttStatus == KDuplicate)) && !exeAtt->iAttStatus.empty())
 		|| iNoCheck)
 	{
 		aExeContainer->iExeAttList.push_back(exeAtt);
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/src/xmlwriter.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/src/xmlwriter.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imgcheck/src/xmlwriter.cpp	2010-05-18 19:32:31.256848494 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imgcheck/src/xmlwriter.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -24,9 +24,10 @@
 */
 
 #include "xmlwriter.h"
+#include <cstring>
 
 #ifndef __LINUX__		
-	#include "/epoc32/gcc_mingw/include/windows.h"	
+    #include <windows.h>	
 #endif //__LINUX__
 
 /**
@@ -99,7 +100,7 @@
 	}
 	xslSourcePath.append(KXslFileName.c_str());
 
-	ifstream xslSourceHandle;
+	Ifstream xslSourceHandle;
 	xslSourceHandle.open(xslSourcePath.c_str(), Ios::binary);
 	if(!xslSourceHandle)
 	{
@@ -116,7 +117,7 @@
 	xslSourceHandle.read(filetocopy,fileSize);
 	xslSourceHandle.close();
 
-	ofstream xslDestHandle(xslDestPath.c_str(), Ios::binary | Ios::out);
+	Ofstream xslDestHandle(xslDestPath.c_str(), Ios::binary | Ios::out);
 	if(!xslDestHandle)
 	{
 		delete [] filetocopy;
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/boostlibrary/boost/thread/pthread/thread_data.hpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/boostlibrary/boost/thread/pthread/thread_data.hpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/boostlibrary/boost/thread/pthread/thread_data.hpp	2010-05-18 19:32:31.796848405 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/boostlibrary/boost/thread/pthread/thread_data.hpp	2010-05-15 14:32:45.000000000 +0100
@@ -8,7 +8,7 @@
 #include <boost/thread/detail/config.hpp>
 #include <boost/thread/exceptions.hpp>
 #include <boost/shared_ptr.hpp>
-#include <boost/enable_shared_from_this.hpp>
+#include <boost/smart_ptr/enable_shared_from_this.hpp>
 #include <boost/thread/mutex.hpp>
 #include <boost/optional.hpp>
 #include <pthread.h>
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/e32image/deflate/deflate.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/e32image/deflate/deflate.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/e32image/deflate/deflate.cpp	2010-05-18 19:32:31.844848499 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/e32image/deflate/deflate.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -20,6 +20,7 @@
 #include "deflate.h"
 #include "h_utl.h"
 #include "panic.h"
+#define OFFSETOF(c,f) (((TInt)&(((c *)0x1000)->f))-0x1000)
 
 class HDeflateHash
 	{
@@ -89,7 +90,8 @@
 
 inline HDeflateHash* HDeflateHash::NewLC(TInt aLinks)
 	{
-	return new(HMem::Alloc(0,_FOFF(HDeflateHash,iOffset[Min(aLinks,KDeflateMaxDistance)]))) HDeflateHash;
+	return new(new char[OFFSETOF(HDeflateHash,iOffset[0]) + 
+		(sizeof(TOffset) * Min(aLinks,KDeflateMaxDistance))]) HDeflateHash;
 	}
 
 inline TInt HDeflateHash::Hash(const TUint8* aPtr)
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/e32image/deflate/panic.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/e32image/deflate/panic.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/e32image/deflate/panic.cpp	2010-05-18 19:32:31.848849218 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/e32image/deflate/panic.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -21,7 +21,7 @@
 #include "h_utl.h"
 #include <stdlib.h>
 
-char* HuffmanError[]=	{
+char const * HuffmanError[]=	{
 						"Huffman: Too many codes\n",
 						"Huffman: Invalid coding\n",
 						"Huffman: Buffer overflow\n",
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/e32uid/uidcrc.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/e32uid/uidcrc.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/e32uid/uidcrc.cpp	2010-05-18 19:32:31.848849218 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/e32uid/uidcrc.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -55,7 +55,7 @@
 
 	for (i=1; i<4; i++)
 		{
-		char* endptr = "failed";
+		char * endptr;
 		uids[i] = strtoul(argv[i],&endptr,0);
 		if (*endptr!='\0')
 			{
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/include/errorhandler.h /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/include/errorhandler.h
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/include/errorhandler.h	2010-05-18 19:32:31.852848469 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/include/errorhandler.h	2010-05-15 14:32:45.000000000 +0100
@@ -36,8 +36,8 @@
 class ErrorHandler
 {
 	public:
-		ErrorHandler(int aMessageIndex,char* aSubMessage,char* aFileName, int aLineNumber);
-        ErrorHandler(int aMessageIndex, char* aFileName, int aLineNumber);
+		ErrorHandler(int aMessageIndex,char const * aSubMessage,char const * aFileName, int aLineNumber);
+        ErrorHandler(int aMessageIndex, char const* aFileName, int aLineNumber);
 		virtual ~ErrorHandler();
 		void Report();
 
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/include/filesysteminterface.h /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/include/filesysteminterface.h
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/include/filesysteminterface.h	2010-05-18 19:32:31.852848469 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/include/filesysteminterface.h	2010-05-15 16:42:12.000000000 +0100
@@ -24,6 +24,7 @@
 
 #include "directory.h"
 #include <fstream>
+#include <cstdlib>
 
 typedef std::ofstream Ofstream;
 
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/include/messagehandler.h /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/include/messagehandler.h
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/include/messagehandler.h	2010-05-18 19:32:31.852848469 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/include/messagehandler.h	2010-05-15 14:32:45.000000000 +0100
@@ -36,9 +36,9 @@
     public:
 		static Message *GetInstance();
 		static void CleanUp();
-		static void StartLogging(char *filename);
-		static void CreateMessageFile(char *fileName);
-		static void ReportMessage(int aMsgType, int aMsgIndex,char* aName);
+		static void StartLogging(char const *filename);
+		static void CreateMessageFile(char const *fileName);
+		static void ReportMessage(int aMsgType, int aMsgIndex,char const* aName);
 
     private:
 		static Message* iInstance;
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/include/messageimplementation.h /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/include/messageimplementation.h
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/include/messageimplementation.h	2010-05-18 19:32:31.852848469 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/include/messageimplementation.h	2010-05-15 14:32:45.000000000 +0100
@@ -84,7 +84,7 @@
 		// display message to output device
 		virtual void Output(const char *aName) =0;
 		// start logging to a file
-		virtual void StartLogging(char *fileName)=0;
+		virtual void StartLogging(char const *fileName)=0;
 		virtual void ReportMessage(int aMsgType, int aMsgIndex,...)=0;
 		virtual void InitializeMessages()=0;
 };
@@ -105,7 +105,7 @@
 		char* GetMessageString(int errorIndex);
 		void Output(const char *aName);
 		void LogOutput(const char *aString);
-		void StartLogging(char *fileName);
+		void StartLogging(char const *fileName);
 		void ReportMessage(int aMsgType, int aMsgIndex,...);
 		void InitializeMessages();
     private:
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/source/cluster.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/source/cluster.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/source/cluster.cpp	2010-05-18 19:32:31.852848469 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/source/cluster.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -143,7 +143,9 @@
 {
 	if(iCurrentClusterNumber >= iTotalNumberOfClusters)
 	{
-    	throw ErrorHandler(IMAGESIZETOOBIG,"Occupied number of clusters count exceeded than available clusters",__FILE__,__LINE__);
+    	throw ErrorHandler(IMAGESIZETOOBIG,
+			"Occupied number of clusters count exceeded than available clusters",
+			__FILE__,__LINE__);
 	}
 	++iCurrentClusterNumber;
 }
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/source/dirregion.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/source/dirregion.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/source/dirregion.cpp	2010-05-18 19:32:31.856848559 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/source/dirregion.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -49,7 +49,7 @@
 	iClusterPtr = CCluster::Instance(iClusterSize,totalClusters);
 	if(iClusterPtr == NULL)
 	{
-		throw ErrorHandler(CLUSTERERROR,"Instance creation error", __FILE__, __LINE__);
+		throw ErrorHandler(CLUSTERERROR,"Instance creation error",__FILE__,__LINE__);
 	}
 	iClusterSize = iClusterPtr->GetClusterSize();
 }
@@ -117,7 +117,8 @@
 	aOutPutStream.flush();
 	if(aOutPutStream.bad())
 	{
-		throw ErrorHandler(FILEWRITEERROR, __FILE__, __LINE__);
+		throw ErrorHandler(FILEWRITEERROR,__FILE__,__LINE__);
+
 	}
 }
 
@@ -175,7 +176,7 @@
 	}
 	else
 	{
-		throw ErrorHandler(EMPTYFILENAME, __FILE__, __LINE__);
+		throw ErrorHandler(EMPTYFILENAME,__FILE__,__LINE__);
 	}
 }
 
@@ -247,7 +248,7 @@
 	if(tempString.length() == 0)
 	{
 		tempString.erase();
-		throw ErrorHandler(EMPTYFILENAME, __FILE__, __LINE__);
+		throw ErrorHandler(EMPTYFILENAME,__FILE__,__LINE__);
 	}
 	else
 	{
@@ -314,7 +315,8 @@
 	iInputStream.open(aEntry->GetFilePath().c_str(),Ios::binary);
 	if(iInputStream.fail() == true )
 	{
-		throw ErrorHandler(FILEOPENERROR,(char*)aEntry->GetFilePath().c_str(),__FILE__,__LINE__);
+		throw ErrorHandler(FILEOPENERROR,aEntry->GetFilePath().c_str(),
+			__FILE__,__LINE__);
 	}
 	else
 	{
@@ -324,7 +326,7 @@
 		char* dataBuffer = (char*)malloc((unsigned int)fileSize);
 		if(dataBuffer == 0)
 		{
-			throw ErrorHandler(MEMORYALLOCATIONERROR, __FILE__, __LINE__);
+			throw ErrorHandler(MEMORYALLOCATIONERROR,__FILE__,__LINE__);
 		}
 		//Read the whole file in one short
 		iInputStream.read (dataBuffer,fileSize);
@@ -332,7 +334,8 @@
 		Long64 bytesRead = (unsigned int)iInputStream.tellg();
 		if((iInputStream.bad()) || (bytesRead != fileSize))
 		{
-			throw ErrorHandler(FILEREADERROR,(char*)aEntry->GetFilePath().c_str(), __FILE__, __LINE__);
+			throw ErrorHandler(FILEREADERROR,aEntry->GetFilePath().c_str(),
+				__FILE__, __LINE__);
 		}
 		String clusterData(dataBuffer,(unsigned int)bytesRead);
 		PushStringIntoClusterMap(iClusterPtr->GetCurrentClusterNumber(),clusterData,iClusterSize,aEntry->GetEntryAttribute());
@@ -544,12 +547,12 @@
 		}
 		if(aNodeList.front()->GetEntryList()->size() <= 0)
 		{
-			throw ErrorHandler(NOENTRIESFOUND, __FILE__, __LINE__);
+			throw ErrorHandler(NOENTRIESFOUND,__FILE__,__LINE__);
 		}
 	}
 	else
 	{
-		throw ErrorHandler(ROOTNOTFOUND, __FILE__, __LINE__);
+		throw ErrorHandler(ROOTNOTFOUND,__FILE__,__LINE__);
 	}
 }
 
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/source/errorhandler.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/source/errorhandler.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/source/errorhandler.cpp	2010-05-18 19:32:31.856848559 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/source/errorhandler.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -22,9 +22,10 @@
 
 #include "errorhandler.h"
 #include "messagehandler.h"
+#include <cstring>
 
-char *errMssgPrefix="FileSystem : Error:";
-char *Gspace=" ";
+char const *errMssgPrefix="FileSystem : Error:";
+char const *Gspace=" ";
 
 /**
 ErrorHandler constructor for doing common thing required for derived 
@@ -41,7 +42,7 @@
 @param aFileName - File name from where the error is thrown
 @param aLineNumber - Line number from where the error is thrown
 */
-ErrorHandler::ErrorHandler(int aMessageIndex, char* aSubMessage, char* aFileName, int aLineNumber)
+ErrorHandler::ErrorHandler(int aMessageIndex, char const* aSubMessage, char const* aFileName, int aLineNumber)
                             :iSubMessage(aSubMessage), iFileName(aFileName), iLineNumber(aLineNumber)
 {
 	iMessageIndex = aMessageIndex;
@@ -60,7 +61,7 @@
 @param aFileName - File name from where the error is thrown
 @param aLineNumber - Line number from where the error is thrown
 */
-ErrorHandler::ErrorHandler(int aMessageIndex, char* aFileName, int aLineNumber)
+ErrorHandler::ErrorHandler(int aMessageIndex, char const* aFileName, int aLineNumber)
                             : iFileName(aFileName), iLineNumber(aLineNumber)
 {
 	iMessageIndex = aMessageIndex;
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/source/fat16bootsector.cpp /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/source/fat16bootsector.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.i/latest_build/build/imgtools/imglib/filesystem/source/fat16bootsector.cpp	2010-05-18 19:32:31.856848559 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.i/linux_build/imgtools/imglib/filesystem/source/fat16bootsector.cpp	2010-05-15 14:32:45.000000000 +0100
@@ -21,6 +21,7 @@
 */
 
 #include "fat16bootsector.h"
+#include <cstring>
 
 /**
 Constructor of the fat16 boot sector class
